org.apache.ignite.internal.visor.cache.index

## Class IndexListInfoContainer

- java.lang.Object
- - org.apache.ignite.internal.dto.IgniteDataTransferObject
  - - org.apache.ignite.internal.visor.cache.index.IndexListInfoContainer

All Implemented Interfaces:
  Externalizable, Serializable

    public class IndexListInfoContainer
    extends IgniteDataTransferObject

Container for index info.

See Also:
  Serialized Form

### Field Summary

Fields
`static String` `EMPTY_GROUP_NAME` Empty group name.

### Fields inherited from class org.apache.ignite.internal.dto.IgniteDataTransferObject

`V1, V2, V3, V4, V5, V6, V7, V8, V9`

### Constructor Summary

Constructors
Constructor and Description
`IndexListInfoContainer()` Empty constructor required for Serializable.
`IndexListInfoContainer(GridCacheContext ctx, String idxName, Collection<String> colsNames, String tblName)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `cacheName()`
`static Comparator<IndexListInfoContainer>` `comparator()`
`boolean` `equals(Object o)`
`String` `groupName()`
`int` `hashCode()`
`String` `indexName()`
`protected void` `readExternalData(byte protoVer, ObjectInput in)` Load object's specific data content.
`String` `tableName()`
`void` `tableName(String tblName)`
`String` `toString()`
`protected void` `writeExternalData(ObjectOutput out)` Save object's specific data content.

### Methods inherited from class org.apache.ignite.internal.dto.IgniteDataTransferObject

`getProtocolVersion, readExternal, toList, toSet, writeExternal`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### EMPTY_GROUP_NAME

    public static final String EMPTY_GROUP_NAME

Empty group name.

See Also:
  Constant Field Values

### Constructor Detail

#### IndexListInfoContainer

    public IndexListInfoContainer()

Empty constructor required for Serializable.

#### IndexListInfoContainer

    public IndexListInfoContainer(GridCacheContext ctx,
                                  String idxName,
                                  Collection<String> colsNames,
                                  String tblName)

### Method Detail

#### writeExternalData

    protected void writeExternalData(ObjectOutput out)
                              throws IOException

Save object's specific data content.

Specified by:
  `writeExternalData` in class `IgniteDataTransferObject`
Parameters:
  `out` - Output object to write data content.
Throws:
  `IOException` - If I/O errors occur.

#### readExternalData

    protected void readExternalData(byte protoVer,
                                    ObjectInput in)
                             throws IOException,
                                    ClassNotFoundException

Load object's specific data content.

Specified by:
  `readExternalData` in class `IgniteDataTransferObject`
Parameters:
  `protoVer` - Input object version.
  `in` - Input object to load data content.
Throws:
  `IOException` - If I/O errors occur.
  `ClassNotFoundException` - If the class for an object being restored cannot be found.

#### tableName

    public void tableName(String tblName)

Parameters:
  `tblName` - New table name.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`
Returns:
  default string object representation without `IndexListInfoContainer` and brackets.

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### cacheName

    public String cacheName()

Returns:
  Cache name.

#### groupName

    public String groupName()

Returns:
  Group name.

#### indexName

    public String indexName()

Returns:
  Index name.

#### tableName

    public String tableName()

Returns:
  Table name.

#### comparator

    public static Comparator<IndexListInfoContainer> comparator()

Returns:
  Custom comparator.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.13.0
Release Date | : April 20 2022